Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Start OAuth2 authorization flow
cURL
curl --request GET \ --url https://api.capitalcheckin.app/oauth/authorize \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.capitalcheckin.app/oauth/authorize', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.capitalcheckin.app/oauth/authorize" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.capitalcheckin.app/oauth/authorize", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
{ "success": true, "message": "<string>", "state_id": "<string>", "client": { "id": "<string>", "name": "<string>", "description": "<string>", "logo": "<string>", "redirect_uri": "<string>", "grant_types": [ "<string>" ], "scopes": [ "<string>" ] }, "requires_consent": true, "scopes_requested": "<string>", "state": "<string>" }
{ "error": "<string>", "message": "<string>", "details": {} }
OAuth2 access token for authentication
OAuth2 client ID
Authorized redirect URI
Tipo de respuesta (debe ser 'code')
code
Permisos solicitados
Valor aleatorio para prevenir CSRF
Authorization page
Indica si la solicitud fue exitosa
Descriptive message
Authorization state ID
Show child attributes
Indica si se requiere consentimiento del usuario
Valor de state original